﻿using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Threading.Tasks;

namespace plugin_3dm_arcgispro
{
    internal class ButtonOverlays : Button
    {
        /// <summary>
        /// Called when the overlays button is pressed
        /// </summary>
        protected override void OnClick()
        {
            if (PluginArcGIS.INSTANCE != null)
            {
                QueuedTask.Run(() =>
                {
                    PluginArcGIS.INSTANCE.doAddOverlays();
                });
            }
        }
    }
}
