﻿using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Threading.Tasks;

namespace plugin_3dm_arcgispro
{
    internal class ButtonPlugin : Button
    {
        /// <summary>
        /// Called when the plugin button is pressed
        /// </summary>
        protected override void OnClick()
        {
            if (PluginArcGIS.INSTANCE==null)
            {
                QueuedTask.Run(() =>
                {
                    PluginArcGIS.INSTANCE = new PluginArcGIS();
                });
            }
            else
            {
                QueuedTask.Run(() =>
                {
                    PluginArcGIS.INSTANCE.restart();
                });
            }
        }
    }
}
